Subject: Fwd: bug#48419: Unexpected problem during install of Guix System 1.3.0

From: Matthias Cullmann <[email-masked]>
Date: Tue, 18 May 2021 07:29:42 +0200

( I'm forwarding this to the list - forgot to reply all )

---------- Forwarded message ---------
From: Matthias Cullmann <[email-masked]>
Date: Sat, 15 May 2021 at 15:31
Subject: Re: bug#48419: Unexpected problem during install of Guix System
1.3.0
To: Bengt Richter <[email-masked]>

Hi Bengt,

here is what I get ( now under MX linux on the same box ).

$ ls /dev/disk/by-id/*|xargs file
/dev/disk/by-id/ata-Micron_M600_MTFDDAV256MBF_154010B93F27:       symbolic
link to ../../sda
/dev/disk/by-id/ata-Micron_M600_MTFDDAV256MBF_154010B93F27-part1: symbolic
link to ../../sda1
/dev/disk/by-id/ata-Micron_M600_MTFDDAV256MBF_154010B93F27-part2: symbolic
link to ../../sda2
/dev/disk/by-id/ata-Micron_M600_MTFDDAV256MBF_154010B93F27-part3: symbolic
link to ../../sda3
/dev/disk/by-id/wwn-0x500a075110b93f27:                           symbolic
link to ../../sda
/dev/disk/by-id/wwn-0x500a075110b93f27-part1:                     symbolic
link to ../../sda1
/dev/disk/by-id/wwn-0x500a075110b93f27-part2:                     symbolic
link to ../../sda2
/dev/disk/by-id/wwn-0x500a075110b93f27-part3:                     symbolic
link to ../../sda3

$  lsblk -f
NAME   FSTYPE LABEL    UUID                                 FSAVAIL FSUSE%
MOUNTPOINT
sda
├─sda1 vfat            7C99-13AE                             251.8M     0%
/boot/efi
├─sda2 ext4   rootMX19 90aa2c4f-5266-47bc-9b73-228c524b2790  211.2G     4% /
└─sda3 swap   swapMX   bf24ea70-f3e5-4023-9367-98bcc1c464ac
 [SWAP]

To me it looks quite standard?
Thx & regards.
Matthias

On Sat, 15 May 2021 at 11:35, Bengt Richter <[email-masked]> wrote:

> Hi,
>
> On +2021-05-14 16:50:48 +0200, Matthias Cullmann wrote:
> > Hi there,
> >
> > I am trying to install Guix System 1.3.0 on an Asus ZenBook UX305 using
> the
> > wizard.
> >
> > After the partitioning I get the error in the attached screen shot.
> >
> > ( mount "/dev/sda1" on "mnt/boot/ef" : No such device)
> >
> > I had Linux installed already on this computer and would not need to
> > re-partition.
> >
> > Any ideas how to fix this?
> >
> > Thx & regards,
> >
> > Matthias
> >
> what does this output?
> --8<---------------cut here---------------start------------->8---
> $ ls /dev/disk/by-id/*|xargs file
> --8<---------------cut here---------------end--------------->8---
>
> Maybe you have nve disk that does not get translated to /dev/sdaX ?
>
> If you have linux running, try
> --8<---------------cut here---------------start------------->8---
> $ lsblk -f
> --8<---------------cut here---------------end--------------->8---
>
> Maybe you will see something like
>
> nvme0n1
> ├─nvme0n1p1 ...
> └─nvme0n1p2 ...
>
> which would suggest that your
>     /dev/sda1
> maybe should be
>     /dev/nvme0n1p1
>
> but in general, IMO device references without unique id's are bloody feet
> waiting to happen.
>
> I would suggest looking at uuid's for file systems, partitions, or devices,
> such as you can view with lsblk
>
> --
> Regards,
> Bengt Richter
>